org.apache.xalan.transformer

## Interface TransformerClient

    public interface TransformerClient

A content handler can get a reference to a TransformState by implementing the TransformerClient interface. Xalan will check for that interface before it calls startDocument, and, if it is implemented, pass in a TransformState reference to the setTransformState method.

### Method Summary

Methods
`void` `setTransformState(TransformState ts)` Pass in a reference to a TransformState object, which can be used during SAX ContentHandler events to obtain information about he state of the transformation.

### Method Detail

#### setTransformState

    void setTransformState(TransformState ts)

Pass in a reference to a TransformState object, which can be used during SAX ContentHandler events to obtain information about he state of the transformation. This method will be called before each startDocument event.

Parameters:
  `ts` - A reference to a TransformState object